Description: It will be very useful for arithmetic/mathematical questions if numeric answers can be coded as AMCcode 

does.

<pre>
Question 1  How much is the square root of 3?  Answer in the form of [s][A].[B][C][D].
s: [x]+ [ ]-
A: [ ]0 [x]1 [ ]2 [ ]3 [ ]4 ..... [ ]9
B: [ ]0 [ ]1 [ ]2 [ ]3 [ ]4 ..... [ ]9
C: [ ]0 [ ]1 [ ]2 [x]3 [ ]4 ..... [ ]9
D: [ ]0 [ ]1 [x]2 [ ]3 [ ]4 ..... [ ]9
</pre>

<pre>
Question 2  Say decimal integer 123 in 8-bit binary.
bit7                       bit0
[x]0 [ ]0 [ ]0 ........... [ ]0
[ ]1 [x]1 [x]1 ........... [x]1
</pre>

History
04/05/2012 09:13 am - Alexis Bienvenüe
- Target version set to 1.1.0

04/15/2012 04:41 pm - Alexis Bienvenüe
- Status changed from New to In Progress

- File n.tex added

- File n.pdf added

See resvision r1003 for a first implementation of LaTeX command @\AMCnumericChoices@. See package documentation (automultiplechoice.pdf) for 
some details.

04/20/2012 02:34 pm - Alexis Bienvenüe
- Status changed from In Progress to Feedback

From revision r1022, binary coding is also available, as in
<pre>
\begin{questionmultx}{binary}
  \FPeval\VQa{trunc(100+random*20,0)}
   Write the decimal integer \VQa{} in binary notation.

   \AMCnumericChoices{\VQa}{sign=false,vertical=true,base=2,digits=8}
\end{questionmultx}
</pre>
Please test.

05/10/2012 06:03 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed
